package com.gyee.generation.config.feign;

import com.gyee.generation.config.FiveLoss.AnnotationTool;
import com.gyee.generation.config.FiveLoss.FixedVo;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.system.ApplicationHome;
import org.springframework.stereotype.Component;

import java.io.File;
import java.util.List;
import java.util.stream.Collectors;

@Data
@Component
@ConfigurationProperties(prefix = "gyee")
public class GyeeConfig {

    public File jarF = null;

    {
        ApplicationHome h = new ApplicationHome(getClass());
        jarF = h.getSource();
    }

    /**
     * 数据适配器网址
     **/
    @Value("${db.url1}")
    private String AdapterfdUrl;
    @Value("${db.url1}")
    private String AdaptergfUrl;
    @Value("${db.url1}")
    private String TaosUrl;

    /**
     * 数据压缩下载
     **/
    private String filePathDownload;
    /**
     * 功率曲线拟合测点
     **/
    private String points;

//    public List<String> getPoints() {
//        if (null == points) {
//            return Collections.emptyList();
//        } else {
//            return Arrays.asList(points.split(","));
//        }
//    }



}